#
# spec file for package gnome-characters
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-characters
Version:        3.20.1
Release:        1.1
Summary:        Character Map
License:        GPL-3.0+
Group:          System/GUI/GNOME
Url:            http://wiki.gnome.org/Design/Apps/CharacterMap
Source:         http://download.gnome.org/sources/gnome-characters/3.20/%{name}-%{version}.tar.xz
BuildRequires:  gobject-introspection-devel >= 1.35.9
BuildRequires:  intltool >= 0.50.1
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(gdk-3.0)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gjs-1.0) >= 1.43.3
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(pango)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A simple utility application to find and insert unusual characters.

%package -n gnome-shell-search-provider-gnome-characters
Summary:        GNOME Characters -- Search Provider for GNOME Shell
Group:          System/GUI/GNOME
Supplements:    packageand(gnome-shell:%{name})
Requires:       %{name} = %{version}

%description -n gnome-shell-search-provider-gnome-characters
This package contains a search provider to enable GNOME Shell to get
search results from GNOME Characters.

%lang_package
%prep
%setup -q

%build
%configure
make %{?_smp_mflags}
%suse_update_desktop_file org.gnome.Characters -r Utilities Utility Settings

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
find %{buildroot}%{_libdir} -name '*.la' -delete -print
%find_lang org.gnome.Characters %{name}.lang

%post
%glib2_gsettings_schema_post
%icon_theme_cache_post
%icon_theme_cache_post gnome

%postun
%glib2_gsettings_schema_postun
%icon_theme_cache_postun
%icon_theme_cache_postun gnome

%files
%defattr(-,root,root)
%doc README COPYING
%{_bindir}/gnome-characters
%{_datadir}/org.gnome.Characters/
%dir %{_datadir}/gnome-shell
%dir %{_datadir}/gnome-shell/search-providers
%{_datadir}/icons/hicolor/*
%{_datadir}/glib-2.0/schemas/org.gnome.Characters.gschema.xml
%dir %{_datadir}/appdata
%{_datadir}/appdata/org.gnome.Characters.appdata.xml
%{_datadir}/applications/org.gnome.Characters.desktop
%{_datadir}/dbus-1/services/org.gnome.Characters.BackgroundService.service
%{_datadir}/dbus-1/services/org.gnome.Characters.service
%{_libdir}/org.gnome.Characters/

%files -n gnome-shell-search-provider-gnome-characters
%defattr(-,root,root)
%{_datadir}/gnome-shell/search-providers/org.gnome.Characters.search-provider.ini

%files lang -f %{name}.lang

%changelog
* Sun Apr 10 2016 zaitor@opensuse.org
- Update to version 3.20.1:
  + Update AppData.
  + Fix regression in multi-keyword search with search provider
    (bgo#747061).
  + Updated translations.
* Mon Mar 21 2016 dimstar@opensuse.org
- Update to version 3.20.0:
  + Updated translations.
* Mon Mar 14 2016 zaitor@opensuse.org
- Update to version 3.19.92:
  + Add additional keywords to .desktop (bgo#762576).
  + Disable subtitle in the headerbar (bgo#763177).
  + Remove redundant horizontal padding in filter menu
    (bgo#763233).
  + Updated translations.
* Mon Feb 15 2016 zaitor@opensuse.org
- Update to version 3.19.90:
  + Make "copy character" work again with newer GTK+.
  + Make search provider work again with the new internal search
    API.
  + Hide missing characters by default (bgo#744591).
  + Update appdata to 0.7+ format and add missing data.
  + The search provider now only shows prefix matches (bgo#757368).
  + Visual fixes for category list (bgo#761793).
  + Visual fixes for font list (bgo#748717).
  + Updated translations.
* Mon Dec 21 2015 damjanovic.ivo@gmail.com
- Update to version 3.19.3:
  + Add visual feedback for invisible characters (bgo#757815).
  + Rework search function to feed more results when the user
    scrolls the list to the bottom (bgo#757523).
  + Standardize app menu.
  + Updated translations.
* Sun Oct 11 2015 zaitor@opensuse.org
- Update to version 3.18.1:
  + Disable search provider by default.
  + Updated translations.
* Tue Sep 22 2015 dimstar@opensuse.org
- Update to version 3.18.0:
  + Update tables for "See Also" list to Unicode 8.0.0.
  + Updated translations.
* Mon Aug 31 2015 zaitor@opensuse.org
- Update to version 3.17.91:
  + Fix font filtering logic.
  + Close font filtering popover after selection.
  + Fix character name display for CJK ideographs.
  + Updated translations.
* Tue Aug 18 2015 zaitor@opensuse.org
- Update to version 3.17.90:
  + Fix bgo#753113: make fails without gperf.
  + Updated translations.
* Wed Jul 29 2015 zaitor@opensuse.org
- Update to version 3.17.4.1:
  + Fix bgo#752954: gnome-characters 3.17.4 no longer installs
    appdata.
  + Install all hicolor icons under $datadir/icons/hicolor.
  + Updated translations.
* Tue Jul 21 2015 zaitor@opensuse.org
- Update to version 3.17.4:
  + Update Unicode standard to 8.0.0.
  + Bugs fixed: bgo#752607, bgo#743643, bgo#748717, bgo#748124,
    bgo#747398, bgo#747061.
  + Updated translations.
* Wed Jun 24 2015 dimstar@opensuse.org
- Own %%{_datadir}/appdata/ for openSUSE 42.
* Mon May 11 2015 zaitor@opensuse.org
- Update to version 3.16.2:
  + Fix bgo#748124: build failure.
  + Updated translations.
* Wed Apr 15 2015 dimstar@opensuse.org
- Update to version 3.16.1:
  + bgo#747061: Search sometimes has poor results.
  + Updated translations.
* Sat Apr  4 2015 vuntz@opensuse.org
- Add %%post/%%postun scriptlets with
  %%glib2_gsettings_schema_post(un), %%icon_theme_cache_post(un) and
  "%%icon_theme_cache_post(un) gnome" (as the application installs
  icons in both hicolor and gnome icon themes).
* Mon Mar 23 2015 dimstar@opensuse.org
- Update to version 3.16.0:
  + Updated translations.
* Mon Mar 16 2015 dimstar@opensuse.org
- Update to version 3.15.92:
  + bgo#745508: Two fixes to the search provider.
  + Fix non-BMP character display.
  + Make search keyword match against hex code point.
  + Add key navigation with cursor keys (without modifiers).
  + Updated translations.
* Thu Mar  5 2015 dimstar@opensuse.org
- Update to version 3.15.91.1:
  + Restore the resizing behavior, which was broken in the last
    release.
- Changes from version 3.15.91:
  + bgo#744336: Add a unique application icon.
  + bgo#744855: Search provider.
  + Add more characters to "Pictures" section.
  + Add more characters to "See Also" list, by using Unicode
    character compositions.
* Mon Feb 16 2015 dimstar@opensuse.org
- Initial package, version 3.15.90.
